# Memcache::getServerStatus

(PECL memcache >= 2.1.0)

Memcache::getServerStatus — Returns server status

### Description

Memcache::getServerStatus ( string `$host` [, int `$port` = 11211 ] ) : int

Memcache::getServerStatus() returns a the servers online/offline status. You can also use memcache_get_server_status() function.

> Note:

> This function has been added to Memcache version 2.1.0.

### Parameters

`host`

  Point to the host where memcached is listening for connections.

`port`

  Point to the port where memcached is listening for connections.

### Return Values

Returns a the servers status. 0 if server is failed, non-zero otherwise

### Examples

Example #1 Memcache::getServerStatus() example

`<?php
/* OO API */
$memcache = new Memcache;
$memcache->addServer('memcache_host', 11211);
echo $memcache->getServerStatus('memcache_host', 11211);
/* procedural API */
$memcache = memcache_connect('memcache_host', 11211);
echo memcache_get_server_status($memcache, 'memcache_host', 11211);
?>`

### See Also

- Memcache::addServer() - Add a memcached server to connection pool
- Memcache::setServerParams() - Changes server parameters and status at runtime